/****** Object:  Trigger [TRG_EST_PROD_PRECIFICACAO_PRECO]    Script Date: 04/01/2014 14:31:18 ******/
IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_PROD_PRECIFICACAO_PRECO]'))
DROP TRIGGER [dbo].[TRG_EST_PROD_PRECIFICACAO_PRECO]
GO
GO
GO

--Versao 2918
CREATE TRIGGER [dbo].[TRG_EST_PROD_PRECIFICACAO_PRECO] ON [dbo].[EST_PROD_PRECIFICACAO_PRECO]   
FOR UPDATE, INSERT  
AS  

 --Deletando produtos  
 DELETE   
  p  
 FROM  
  EST_PROD_PRECIFICACAO_PRECO_ATUALIZACAO p INNER JOIN INSERTED i ON  
  p.CD_EMP = i.CD_EMP     AND
  P.CD_GRUPO = I.CD_GRUPO AND  
  p.CD_PROD = i.CD_PROD   
    --Fim   

 INSERT INTO   
  EST_PROD_PRECIFICACAO_PRECO_ATUALIZACAO  
  (CD_EMP,
  CD_GRUPO,
  CD_PROD,
  DT_ATUALIZACAO,
  ATUALIZADO,
  ORIG_PRECO,
  PRECO_ESPECIFICO)
 SELECT       
  CD_EMP,   
  CD_GRUPO,   
  CD_PROD,   
  CONVERT(CHAR(10),GETDATE(),112),  
  0,
  ISNULL(ORIG_PRECO,0),
  ISNULL(PRECO_ESPECIFICO,0)
 FROM           
  INSERTED  
 WHERE   
  VLR_BASE > 0  
  AND DT_PRECO_BASE = CONVERT(CHAR(10),GETDATE(),112)  
 --Fim